> ## Documentation Index
> Fetch the complete documentation index at: https://developers.aimtell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Campaign

> Create a Campaign



## OpenAPI

````yaml /api-reference/push-openapi.json post /prod/campaigns/
openapi: 3.1.0
info:
  title: push-notifications
  version: '1.1'
servers:
  - url: https://api.aimtell.com
security:
  - sec0: []
tags:
  - name: One-Off Notifications
    description: Send individual push notifications
  - name: Welcome Notifications
    description: Welcome notification campaigns
  - name: Triggered Campaigns
    description: Event-triggered push notification campaigns
  - name: RSS Campaigns
    description: RSS feed-based push notification campaigns
  - name: Manual Campaigns
    description: Manually created push notification campaigns
  - name: API Campaigns
    description: API-triggered push notification campaigns
paths:
  /prod/campaigns/:
    post:
      tags:
        - Manual Campaigns
      summary: Create Campaign
      description: Create a Campaign
      operationId: create-campaign
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - name
                - idSite
              properties:
                name:
                  type: string
                  description: Campaign Name
                idSite:
                  type: string
                  description: Site ID
                title:
                  type: string
                  description: Push Title
                body:
                  type: string
                  description: Push Body
                link:
                  type: string
                  description: Link
                schedule_date:
                  type: string
                  description: DateTime (e.g. 2017-08-25 21:16:50)
                  format: date
                segments:
                  type: string
                  description: Segments
                automation:
                  type: string
                  description: Automation (d = daily, w = weekly, m = monthly, n = none)
                push_ttl:
                  type: integer
                  description: expiration time (in seconds)
                collapse_key:
                  type: string
                  description: >-
                    replace visible notifications on a subscribers device (e.g.
                    breaking_news)
                auto_hide:
                  type: integer
                  description: Auto Hide (in seconds)
                tz_delivery:
                  type: integer
                  description: >-
                    deliver based on user's timezone (set 0 for false, 1 for
                    true)
                status:
                  type: string
                  description: 1 = draft, 2 = scheduled
                  default: '1'
                customIcon:
                  type: string
                  description: 'url of custom icon to use (recommended size: 250x250)'
                customImage:
                  type: string
                  description: 'url of custom image to use (recommended size: 300x500)'
                conversion_trigger:
                  type: object
                  properties:
                    eventCategory:
                      type: string
                      description: Category of event
                    eventAction:
                      type: string
                      description: Action of event
                actions:
                  type: object
                  description: action buttons
                  properties:
                    a01:
                      type: object
                      properties:
                        title:
                          type: string
                          description: Text of action button
                        link:
                          type: string
                          description: Link/URL of action when clicked
                    a02:
                      type: object
                      properties:
                        title:
                          type: string
                          description: Text of action button
                        link:
                          type: string
                          description: Link/URL of action when clicked
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    result: success
                    campaignId: 72129
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    result: error
                    message: 'Error #139.'
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      name: X-Authorization-Api-Key
      in: header
      x-default: ''

````